pro SA_incident_intensities_driver,model_name,alt,az,tip_away_from_sun, $
  orthogonal_tip,intensity

common saved,model_name_old,alt_old,tables_read,wavl,solar_zen_angle, $
  theta,phi,idnc,zeniths_blue_vertical,azimuths_blue_vertical, $
  zeniths_blue_horizontal,azimuths_blue_horizontal

; These common block variables must be initialized
model_name_old=''
alt_old=-1.0
tables_read=0

; Set variables for the call
model_name='Z:\Titan_ULVS_models\Model_759\INTENSI.OUT'
az=0.0
alt=60.4481
probe_tip=0.0
solar_az=336.0
solar_zen_angle=36.0

; The components are the tip angle are computed from the nominal probe tip here
orthogonal_tip=asin(sin(!dtor*probe_tip)*sin(!dtor*solar_az))/!dtor
tip_away_from_sun=-acos(cos(!dtor*probe_tip)/cos(!dtor*orthogonal_tip))/!dtor

; First call takes longer because it must read the model
SA_incident_intensities,model_name,alt,az,tip_away_from_sun, $
  orthogonal_tip,intensity1

; Subsequent calls are faster because the model has already been read
az=30.0
SA_incident_intensities,model_name,alt,az,tip_away_from_sun, $
  orthogonal_tip,intensity2

stupid=1

end
